import { fetchActors } from '../actors.js';

export async function fetchActorsApi(req, res) {
	const { actors, limit, total } = await fetchActors({
		query: req.query.q,
		requireAvatar: Object.hasOwn(req.query, 'avatar'),
		age: req.query.age?.split(',').map((age) => Number(age)),
		height: req.query.height?.split(',').map((height) => Number(height)),
		weight: req.query.weight?.split(',').map((weight) => Number(weight)),
	}, {
		page: Number(req.query.page) || 1,
		limit: Number(req.query.limit) || 50,
	});

	res.send({
		actors,
		limit,
		total,
	});
}
