import vue from '@vitejs/plugin-vue';
import vike from 'vike/plugin';

import postCssGlobalData from '@csstools/postcss-global-data';
import postCssNesting from 'postcss-nesting';
import postCssCustomMedia from 'postcss-custom-media';

export default {
	plugins: [
		vue(),
		vike({
			redirects: {
				'/': '/updates',
			},
		}),
	],
	css: {
		postcss: {
			plugins: [
				postCssGlobalData({
					files: ['./assets/css/breakpoints.css'],
				}),
				postCssNesting(),
				postCssCustomMedia(),
			],
		},
	},
	resolve: {
		alias: {
			'#': __dirname,
			'#root': __dirname,
		},
	},
};
